 /*****************************************************************************
 * Project: MobS - Mobile Robot Simulator
 * ----------------------------------------------------------------------------
 * Project Part : example for c2man syntax of an interface template
 * Creation date: 1994/04/13
 *
 * $Revision: 1.1.1.1 $
 * $Date: 1994/12/02 17:37:39 $      
 * $Author: stolz $
 *
 * ----------------------------------------------------------------------------
 * Description  : Contains all function that are able to be accessed from 
 * 		  outside the project part. (possibly more than one file)
 ******************************************************************************
 ***      (C) COPYRIGHT University of Stuttgart - All Rights Reserved       ***
 ******************************************************************************
 *
 * $Log: MobSmain.h,v $
 * Revision 1.1.1.1  1994/12/02  17:37:39  stolz
 * MobS imported by CreateNewTPR
 *
 *
 *****************************************************************************/

#ifndef _MobSMAIN_H_
#define _MobSMAIN_H_

#ifdef __cplusplus
extern "C" {
#endif

/*
 * NAME
 *	send a command to the robot and returns its reply
 *
 * DESCRIPTION
 *      this is the Interface to the Robot. It sends the command and 
 *      collects the lines of the reply of the robot. See the robot manual
 *      to see how lage it will be.
 *      If the word ERROR is found in a reply string the sent command string  
 *      and the error message is written to stdout.
 *
 *
 * RETURNS
 *	-1	if an error is encountered
 *	len	number of characters been read
 *	
 *
 * NOTE
 *      setting the extern int riDebug to TRUE a trace of transmitted and 
 *      received strings ist written to stdout. 
 */
int MobSfunct(char *command, /* string of one line to send */
	     char *reply,   /* string of several lines returned from the robot */
	     int sizeReply  /* sizeof(reply) */
	     );

#ifdef __cplusplus
}
#endif

#endif // !_MobSMAIN_H_
