/********************************************************************************
 *  PROJECT		: DA mobile robot simulation
 *  AUTHOR(S)           : Horst Stolz (HUS)
 *  FILE		: basic.c
 *  TYPE		: module implementation
 *  Time-stamp: <95/02/13 16:51:25 stolz>
 ********************************************************************************
 *  MODULE              : basic
 *
 *  NOTE
 *      The module specification and definition is given in basic.h!
 *
 *  HISTORY
 *  20-Apr-94   Build this module out of utils.c
 *
 ********************************************************************************/

#include <stdio.h>
#include <stdlib.h>
#include <math.h>
#include <limits.h>

#include "basic.h"


#ifndef RAND_MAX
#define RAND_MAX INT_MAX
#endif



double sign_heritage(double sgn, double val)
/******************************************************************************
 */
{
    if (is_zero(sgn)) return 0.0;

    if (sgn > 0.0) return fabs(val);
    else return -fabs(val);
}


double dcut(double x, double fac)
/******************************************************************************
 * returns a value in full factors of fac
 */
{
    double rest;

    (void)modf(x / fac, &rest);

    return rest * fac;
}


double dmod(double x, double fac)
/******************************************************************************
 */
{
    double cut;

    x = x / fac;

    return modf(x, &cut) * fac;
}



double norm_angle(double angle)
/******************************************************************************
 * norm angle to [-PI..+PI]
 */
{
    double x;

    x = fmod(angle, PIx2);

    if (x>PI) x = x - PIx2;
    else if (x<-PI) x = PIx2 + x;

    printf("angle-norm %f -> %f\n", angle*180.0/PI, x * 180.0/PI);

    return x;
}



long dround(double x)
/******************************************************************************
 * norm angle to [-PI..+PI]
 */
{
    if (x>=0.0) return (long)(x+0.5);
    else return (long)(x-0.5);
}



double drand()
{
    return (double)rand()/(double)RAND_MAX;
}


