/********************************************************************************
 *  PROJECT		: DA mobile robot simulation
 *  AUTHOR(S)           : Horst Stolz (HUS)
 *  FILE		: coms_us.h
 *  TYPE		: module definition
 *  Time-stamp: <95/02/13 16:53:24 stolz>
 ********************************************************************************
 *  MODULE              : coms_us
 *
 *  FUNCTION
 *      Commands for the ultrasonic sensor.
 *	The routines rnod, sset and us_read are equivalent to the Robuter
 *	commands RNOD, SSET and READ. The need the command-arguments as
 *      parameter.
 *
 *  HISTORY
 *  10-Jun-94   Creation date.
 *
 ********************************************************************************/
#ifndef COMS_US_H
#define COMS_US_H

#ifndef MOB_PRIVATE_H
#include "mob_private.h"
#endif



char *rnod(mob m, char *args);
char *sset(mob m, char *args);
char *us_read(mob m, char *args);

#endif
