#include <stdio.h>
#include <stdlib.h>

#include "rob.h"

#define ARGUMENTS "r:s"

extern char *optarg;                    /* getopt(3) control vars */


void drive(int robot)
{
    char reply[ROBOMSGLENGTH+1];
	  
    printf("*** driving 1m forward an back with breaks of 5 secs\n");
    fflush(stdout);
    sleep(5);
    rob_command(robot, "MOTV ON", reply);
    sleep(5);
    rob_command(robot, "MOTV LA v=1000 d=1000", reply);
    sleep(5);
    rob_command(robot, "MOTV LA v=-1000 d=1000", reply);
    sleep(5);
    rob_command(robot, "MOTV OFF", reply);
    sleep(5);
    printf("*** done\n");
    fflush(stdout);
}


int main(int argc, char* argv[])
{
    int c;
    int robot;
    char *robname = "porthos";
    int mode = RobViaServer;
    
    while ((c = getopt(argc, argv, ARGUMENTS)) != -1)
	switch (c) {
	case 'r':
	    robname = optarg;
	    break;
	case 's':
	    mode = RobViaSimulator;
	    break;
	case 'h':
	case '?':
	    printf("usage: %s [-s] [-r <robotname>]\n",
		   argv[0]);
	    printf("description: drives a robot one metre forward and back\n");
	    exit(0);
	    break;
	default:
	    break;
	}
    
    printf("*** Example-Robot-Application ***\n");
    printf("*** using %s-mode\n", 
	   (mode == RobViaSimulator) ? "Simulation" : "Server");
    
    fflush(stdout);
    
    rob_start(mode);
    
    robot = rob_init(robname);
    if (robot > 0) {
	printf("*** connecting to robot '%s'\n", robname);
	fflush(stdout);
	
	drive(robot);
	
	printf("*** close connection to robot '%s'\n", robname);
	rob_exit(robot);
    }
    else
	printf("*** ERROR: no connection to robot '%s'\n", robname);
    
    rob_halt();
    
    fflush(stdout);

    exit(0);
}
