/********************************************************************************
 *  PROJECT		: DA mobile robot simulation
 *  AUTHOR(S)           : Horst Stolz (HUS)
 *  FILE		: error.c
 *  TYPE		: module implementation
 *  Time-stamp: <95/02/13 16:53:59 stolz>
 ********************************************************************************
 *  MODULE              : error
 *
 *  IMPLEMENTATION
 *
 *  NOTE
 *      The module specification and definition is given in error.h!
 *
 *  HISTORY
 *  23-Mar-94   Creation date
 *
 ********************************************************************************/

#include <stdio.h>
#include <stdlib.h>


#ifndef EXIT_FAILURE
#define EXIT_FAILURE	20
#endif


#include "error.h"


void error_in(char *filename, int linenr, char *error_text)
{
    if (0==error_text)
	error_text = "error: error_in() - call with a 0-pointer to the error-text";

    fprintf(stderr, "error in file %s line %d:\n%s\n",
		    filename, linenr, error_text);

    exit(EXIT_FAILURE);
}



void warning_in(char *filename, int linenr, char *text)
{
    if (0==text)
	error_in(filename, linenr, 
		 "error: warning_in() - call with a 0-pointer to the warning-text");

    fprintf(stderr, "warning in file %s line %d:\n%s\n",
		    filename, linenr, text);
}
