/**************************************************************************
 *  PROJECT   : DA mobile robot simulation
 *  AUTHOR(S) : Horst Stolz (HUS)
 *  FILE      : ivd_test.c
 *  TYPE      : module implementation
 *  Time-stamp: <94/11/13 14:32:21 stolz>
 **************************************************************************
 *  MODULE    : ivd_test
 *
 *  FUNCTION
 *	Test-module for ivd and the server ivd_server.
 *	Opens the display-server-process remote on the host "raffael".
 *	The optional arguments are loaded as MOF-Files into the world.
 *	This world should be soon on the control-window.
 *
 *  HISTORY
 *  23-Aug-94   Creation date
 *
 **************************************************************************/

#include <stdio.h>
#include "mob_world.h"
#include "mw_object.h"
#include "ivd.h"

void main(int argc, char **argv)
{
    mob_world world = mob_world_new();
    int i;


    ivd_new("ivd_server", "raffael", 512, 512);

    mw_object_set_extern(ivd_object_new, ivd_object_free, ivd_object_change);

    for (i=1;i<argc; i++) {
	if (mob_world_insert_objects(world, argv[i]))
	    printf("Error while reading '%s'\nError-Desc.: %s\n",
		   argv[i], mob_world_io_error_string);
	else
		printf("Successfuly insert the object of the file '%s'\n",
		       argv[i]);
    }

    sleep(1000);

    ivd_free();
    mob_world_free(world);
}
