/**************************************************************************
 *  PROJECT		: DA mobile robot simulation
 *  AUTHOR(S)           : Horst Stolz (HUS)
 *  FILE		: ivmobs.c
 *  TYPE		: module implementation
 *  Time-stamp: <94/11/13 14:47:34 stolz>
 **************************************************************************
 *  MODULE              : ivmobs
 *
 *  FUNCTION
 *	A simple test-programm which is able to load some MOF-worlds
 *	and display in 3d with the help of the iv_draw-module.
 *
 *
 *  HISTORY
 *  30-Aug-94   Creation date.
 *
 **************************************************************************/

#include <stdio.h>

#include "mob_world.h"
#include "iv_draw.h"


int main(int argc, char **argv)
{
    int i;
    mob_world    world = mob_world_new();
    int viewer = 0;
    
    /* insert mob-worlds
     */
    for (i=1;i<argc; i++) {
	if (strcmp(argv[i], "-browser")==0)
	    viewer = 1;
	else {
	    if (mob_world_insert_objects(world, argv[i])) 
		printf("Error while reading '%s'\nError-Desc.: %s\n",
		       argv[i], mob_world_io_error_string);
	    else
		printf("Successfuly insert the object of the file '%s'\n",
		       argv[i]);
	}
    }

    iv_init(argc, argv, viewer);

    iv_draw(world);

    iv_main_loop();

    return 0;
}
