/**************************************************************************
 *  PROJECT   : DA mobile robot simulation
 *  AUTHOR(S) : Horst Stolz (HUS)
 *  FILE      : mobs_interface_test.c
 *  TYPE      : module implementation
 *  Time-stamp: <94/11/13 16:05:27 stolz>
 **************************************************************************
 *  PROGRAM   : mobs_interface_test
 *
 *  FUNCTION
 *	A simple program to test the functionality of
 *	the mobs-interface.
 *
 *  HISTORY
 *  23-Mar-94   Creation date
 *
 **************************************************************************/

#include <stdio.h>
#include <stdlib.h>
#include <math.h>

#include "mobs_interface.h"


#define MAX_REPLY_LENGTH    200

int main(int argc, char **argv)
{
    mobs_obj rob;
    char reply[MAX_REPLY_LENGTH+1];
    int mobs_tid = -1;
    long i;
    double d1 = 0.1234, d2, d3;

    if (argc>1) mobs_tid = atoi(argv[1]);

    printf("Open simulator and get id of object portos.\n");

    rob = mi_open("portos", mobs_tid);

    printf("Sending string to portos.\n");

    mi_send(rob, "Huhu!", reply, MAX_REPLY_LENGTH);
    
    printf("Receiving answer: %s\n", reply);


    printf("busy loop.\n");
    for (i=0; i<100000; i++) {
	d2 = sin(d1);
	d3 = cos(d2);
	d1 = sin(d2)+cos(d3) + (double)i;
    }

    printf("Sending 2.string to portos.\n");

    mi_send(rob, "WOW", reply, MAX_REPLY_LENGTH);
    
    printf("Receiving answer: %s\n", reply);


    mi_close(rob);

    return 0;
}
