/**************************************************************************
 *  PROJECT   : DA mobile robot simulation
 *  AUTHOR(S) : Horst Stolz (HUS)
 *  FILE      : mobs_pvm_test.c
 *  TYPE      : module implementation
 *  Time-stamp: <94/11/13 16:07:28 stolz>
 **************************************************************************
 *  PROGRAM   : mobs_pvm_test
 *
 *  FUNCTION
 *	A program to test the functions of the mobs_interface
 *	and the pvm_server. Turn on the debugging options
 *	for thes moduls.
 *
 *  HISTORY
 *  23-Mar-94   Creation date
 *
 **************************************************************************/

#include <stdio.h>
#include <stdlib.h>
#include <math.h>

#include "mobs_interface.h"


#define MAX_REPLY_LENGTH    200

int main(int argc, char **argv)
{
    mobs_obj rob;
    char reply[MAX_REPLY_LENGTH+1];
    int mobs_tid = -1;
    long i;
    double d1 = 0.1234, d2, d3;

    if (argc>1) mobs_tid = atoi(argv[1]);

    printf("Open simulator and get id of object portos.\n");

    rob = mi_open("portos", mobs_tid);

    printf("Id for portos is: %p\n", rob);

    printf("Sending string to portos.\n");
    mi_send(rob, "MOTV OFF", reply, MAX_REPLY_LENGTH);
    printf("Receiving answer: %s\n", reply);

    printf("Sending string to portos.\n");
    mi_send(rob, "MOTN ON", reply, MAX_REPLY_LENGTH);
    printf("Receiving answer: %s\n", reply);

    printf("Sending string to portos.\n");
    mi_send(rob, "MOTN FO D=1000", reply, MAX_REPLY_LENGTH);
    printf("Receiving answer: %s\n", reply);

    printf("Sending string to portos.\n");
    mi_send(rob, "MOTN WA", reply, MAX_REPLY_LENGTH);
    printf("Receiving answer: %s\n", reply);

    printf("Sending string to portos.\n");
    mi_send(rob, "MOTN OFF", reply, MAX_REPLY_LENGTH);
    printf("Receiving answer: %s\n", reply);


    printf("Sending string to portos.\n");

    mi_send(rob, "MOTV ON", reply, MAX_REPLY_LENGTH);
    
    printf("Receiving answer: %s\n", reply);

/*
    printf("busy loop.\n");
    for (i=0; i<100000; i++) {
	d2 = sin(d1);
	d3 = cos(d2);
	d1 = sin(d2)+cos(d3) + (double)i;
    }
*/
    printf("Sending 2.string to portos.\n");
    mi_send(rob, "MOTV LA V=800 W=500 D=1000", reply, MAX_REPLY_LENGTH);
    printf("Receiving answer: %s\n", reply);


    printf("Sleeping for 6 seconds: %s\n", reply);

    sleep(6);

    printf("Sending string to portos.\n");
    mi_send(rob, "MOTV OFF", reply, MAX_REPLY_LENGTH);
    printf("Receiving answer: %s\n", reply);

    printf("Sending string to portos.\n");
    mi_send(rob, "MOTV KI", reply, MAX_REPLY_LENGTH);
    printf("Receiving answer: %s\n", reply);

    sleep(4);

    printf("Sending string to portos.\n");
    mi_send(rob, "MOTV OFF", reply, MAX_REPLY_LENGTH);
    printf("Receiving answer: %s\n", reply);

    printf("Sending string to portos.\n");
    mi_send(rob, "MOTN ON", reply, MAX_REPLY_LENGTH);
    printf("Receiving answer: %s\n", reply);

    printf("Sending string to portos.\n");
    mi_send(rob, "MOTN FO D=1000", reply, MAX_REPLY_LENGTH);
    printf("Receiving answer: %s\n", reply);

    printf("Sending string to portos.\n");
    mi_send(rob, "MOTN WA", reply, MAX_REPLY_LENGTH);
    printf("Receiving answer: %s\n", reply);

    printf("Sending string to portos.\n");
    mi_send(rob, "MOTN OFF", reply, MAX_REPLY_LENGTH);
    printf("Receiving answer: %s\n", reply);

    printf("Sending string to portos.\n");
    mi_send(rob, "rnod c=*****0", reply, MAX_REPLY_LENGTH);
    printf("Receiving answer: %s\n", reply);

    printf("Sending string to portos.\n");
    mi_send(rob, "HAHAHAH", reply, MAX_REPLY_LENGTH);
    printf("Receiving answer: %s\n", reply);

    printf("Sending string to portos.\n");
    mi_send(rob, "read c=6,111111,000000", reply, MAX_REPLY_LENGTH);
    printf("Receiving answer: %s\n", reply);




    mi_close(rob);

    return 0;
}
