/**************************************************************************
 *  PROJECT		: DA mobile robot simulation
 *  AUTHOR(S)           : Horst Stolz (HUS)
 *  FILE		: mw_file.h
 *  TYPE		: module definition
 *  Time-stamp: <95/02/13 16:57:47 stolz>
 **************************************************************************
 *  MODULE              : mw_file
 *
 *  FUNCTION
 *	This module provide functions to load/save/insert a 
 *	MOBS-objects or a whole world into a mob_world.
 *      The created files are in the Mobs Object Format (MOF).
 *
 *  NOTE
 *	See into mw_file.c for a specification of MOF.
 *
 *  HISTORY
 *  21-Jun-94   Creation Date.
 *
 **************************************************************************/
#ifndef MW_FILE_H
#define MW_FILE_H

#ifndef MOB_WORLD_PRIVATE_H
#include "mob_world_private.h"
#endif

/* error-string, if the below functions returns a TRUE
 */
extern char *mw_file_error_string;


/* write a single object into a file
 */
boolean mw_object_write(FILE *handle, mw_object obj);


/* write a whole word into a file
 */
boolean mob_world_write(FILE *handle, mob_world mw);


/* insert a world or object into a mob-world.
 */
boolean mw_insert(FILE *handle, mob_world mw);

#endif
