#include <stdio.h>

#include "mob_world.h"
#include "mw_object.h"
#include "mwo_mob.h"
#include "mw_file.h"



void mw_io_test()
{
    mob_world world;
    mw_object obj;
    
    printf("1. Creating the world\n");
 
    world = mob_world_new();

    printf("2. Create a standard mob (Robuter)\n");
 
    obj = mob_create(world);

    printf("3. Add a cuboid, triangle and rectangle to the world\n");
    (void)mw_object_new(world, MWO_CUBOID, MWF_OBSTACLE);
    (void)mw_object_new(world, MWO_TRIANGLE, MWF_OBSTACLE);
    (void)mw_object_new(world, MWO_RECTANGLE, MWF_OBSTACLE);

    printf("4. Save world to the file test.mof\n");
    if (mob_world_save(world, "test.mof")) {
	printf("An error occured: %s\n", mob_world_io_error_string);
    }

    mob_world_free(world);
    world = mob_world_new();
    printf("5. Clearing world and load it from the file test.mof\n");
    if (mob_world_insert_objects(world, "test.mof")) {
	printf("An error occured: %s\n", mob_world_io_error_string);
    }

    printf("6. Save world to the file test2.mof\n");
    if (mob_world_save(world, "test2.mof")) {
	printf("An error occured: %s\n", mob_world_io_error_string);
    }

    
    printf("7. Freeing world\n");
    mob_world_free(world);
}

void main()
{
    mw_io_test();
}
