/**************************************************************************
 *  PROJECT		: DA mobile robot simulation
 *  AUTHOR(S)           : Horst Stolz (HUS)
 *  FILE		: parray.h
 *  TYPE		: module definition
 *  Time-stamp: <95/02/13 16:58:56 stolz>
 **************************************************************************
 *  MODULE              : parray
 *
 *  FUNCTION
 *
 *  NOTE
 *
 *  HISTORY
 *  29-Aug-94   Creation date.
 *
 **************************************************************************/
#ifndef PARRAY_H
#define PARRAY_H


typedef struct adt_parray*	parray;
typedef void*			pointer;


parray		parray_new();
void		parray_free(parray);
void		parray_clear(parray);

int		parray_size(parray);
void		parray_resize(parray, int max_size);

void		parray_set(parray da, int index, pointer);
pointer		parray_get(parray, int index);
void		parray_copy(parray, int target, int source);
void		parray_swap(parray, int a, int b);
pointer		parray_exchange(parray, int index, pointer);

pointer*	parray_array_ref(parray);

void		parray_for_all(parray, void (*f)(pointer));

void		parray_print(parray);

#endif
