#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include "rob_additions.h"

static rob_args  rob_options;


rob_args *rob_parse_args(int argc, char **argv)
{
    int i;

    rob_options.rob_name = 0;
    rob_options.start_simulator = FALSE;
    rob_options.simulator_tid = -1;

    rob_options.argc = 0;
    rob_options.argv = 0;

    if (argc>0) {
	rob_options.argv = malloc(argc*sizeof(char *));
	if (rob_options.argv == 0) {
	    fprintf(stderr, "rob_additions: rob_parse_args() - can't alloc memory\n");
	    exit(10);
	}
        rob_options.argv[0] = argv[0];
        rob_options.argc++;

	for (i=1; i<argc; i++) {
	    if (strcmp(argv[i], "-sim")==0) {
		rob_options.start_simulator = TRUE;
            }
	    else if (strcmp(argv[i], "-simtid")==0) {
                if (i+1>=argc) {
                    fprintf(stderr, "rob_additions: rob_parse_args() - tid-number after '%s' missing!\n",
			    argv[i]);
                    exit(10);
		}
		i++;
		rob_options.start_simulator = TRUE;
		rob_options.simulator_tid = strtol(argv[i], 0, 0);
            }
	    else if (strcmp(argv[i], "-rob")==0) {
                if (i+1>=argc) {
                    fprintf(stderr, "rob_additions: rob_parse_args() - name-string after '%s' missing!\n",
			    argv[i]);
                    exit(10);
		}
		i++;
		rob_options.rob_name = argv[i];
            }
            else {
		rob_options.argv[rob_options.argc] = argv[i];
	        rob_options.argc++;
	    }
        }

	for (i=rob_options.argc; i<argc; i++)
	    rob_options.argv[i] = 0;

    }

    return &rob_options;
}


void main(int argc, char **argv)
{
   rob_args *args;
   int i;

   args = rob_parse_args(argc, argv);

   printf("Rob-Args:\n"
          "rob_name = '%s'\n"
	  "start_simulator = %d\n"
	  "simulator_tid = %d\n"
	  "argc = %d\n"
          "argv = \n",
	  args->rob_name, args->start_simulator,
	  args->simulator_tid, args->argc);

   for (i=0; i<args->argc; i++)
	printf("[%d] : '%s'\n", i, args->argv[i]);


/*
   char *rob_name = "portos";

   if (args->rob_name) rob_name = args->rob_name;
   rob_pvm_start();

   ...

   rob_pvm_exit();
*/
}




/*
void main(int argc, char **argv)
{
   char *rob_name = "portos";
   rob_args *args;
   int rob;

   args = rob_parse_args(argc, argv);


   if (args->rob_name) rob_name = args->rob_name;
   rob_pvm_start();
   rob = rob_init(rob_name);

   rob_main(rob, args->argc, args->argv);

   rob_exit(rob);
   rob_pvm_halt();
*/
