#ifndef TRUE
#define TRUE 1
#endif

#ifndef FALSE
#define FALSE 0
#endif

typedef struct {
    char	*rob_name;

    int		start_simulator;
    int		simulator_tid;

    /* arguments without succesfully parsed rob-args
     */
    int		argc;
    char	**argv;
} rob_args;


rob_args *rob_parse_args(int argc, char **argv);
/****************************************************************************
 * FUNCTION
 *	Parse the command line args (and set the equivalent options of
 *	the rob-library). The parse understand the following arguments:
 *
 *	-rob <name>             -> set rob_name in the args.
 *	-sim                    -> start simulator with rob_pvm_start()
 *	-simtid	<tid-number>	-> start sim. with spec. tid!
 *
 * OUTPUT
 *	If <name> or <tid-number> is missing, or the function can't alloc
 *	memory, it prints out an error-text on stderr and perfom an exit(10).
 *
 * RESULTS
 *	The routine returns a pointer to the rob_args. There you find
 *	the rob-name, ..., and also the argument array without
 *	the successfully parsed arguments.
 *
 * NOTE
 *
 * EXAMPLE
 *
 *      main(int argc, char **argv)
 *      {
 *	    char *rob_name = "portos";
 *          int  rob;
 *	    rob_args *args;
 *
 *          args = rob_parse_args(argc, argv);
 *          if (args->rob_name) rob_name = args->rob_name;
 *
 *	    rob_pvm_start();
 *          rob = rob_init(rob_name);
 *	    ...
 *
 ****************************************************************************
 *
 */
