#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include "rob.h"

unsigned char frame[CAMERA_DEF_WIDTH][CAMERA_DEF_HEIGHT];

int main(int argc, char **argv)
{  
    char *rob_name = "porthos";
    rob_args *args;
    int rob;
    char cmd[ROBOCMDLENGTH+1];
    char reply[ROBOREPLYLENGTH+1];

    args = rob_parse_args(argc, argv);
    if (args->rob_name) rob_name = args->rob_name;

    rob_pvm_start();
    rob = rob_init(rob_name);
    if (rob<=0) {
	printf("*** error. can't connect to robot '%s'.\n", rob_name);
	rob_pvm_halt();
	return 10;
    }

    printf("*** Connected to robot '%s'.\n", rob_name);

    if (rob_camera_frame((unsigned char *)frame, rob, 0,
			 CAMERA_DEF_WIDTH, CAMERA_DEF_HEIGHT, 0)==RobOk) {

	printf("*** sucessfuly grabed a frame.\n");
    }
    else {
	printf("*** error. no line to the camera.\n");
    }
    
    rob_exit(rob);
    rob_pvm_halt();

    return 0;
}
