#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include "rob.h"

int main(int argc, char **argv)
{  
    char *rob_name = "porthos";
    rob_args *args;
    int rob;
    char cmd[ROBOCMDLENGTH+1];
    char reply[ROBOREPLYLENGTH+1];
    int c, i;
    int echo = 0;

    args = rob_parse_args(argc, argv);
    if (args->rob_name) rob_name = args->rob_name;

    echo = (args->argc >1 && (strcmp(args->argv[1], "-echo")==0));
    
    rob_pvm_start();
    rob = rob_init(rob_name);
    if (rob<=0) {
	printf("*** error. can't connect to robot '%s'.\n", rob_name);
	rob_pvm_halt();
	return 10;
    }
    

    i = 0;
    while ((c=fgetc(stdin))!=EOF) {
	if (i<ROBOCMDLENGTH) {
	    cmd[i] = c;
	    i++;
	}
	if (c=='\n') {
	    cmd[i] = '\0';
	    if (echo) fputs(cmd, stdout);
	    rob_command(rob, cmd, reply);
	    fputs(reply, stdout);
	    i = 0;
	}
    }


    rob_exit(rob);
    rob_pvm_halt();

    return 0;
}
