#ifndef ROB_US_SENSOR_H
#define ROB_US_SENSOR_H


typedef enum {
    PANEL_FRONT, PANEL_BACK, PANEL_LEFT, PANEL_RIGHT,
    PANEL_FRONT_LEFT, PANEL_FRONT_RIGHT, PANEL_BACK_LEFT, PANEL_BACK_RIGHT
} rus_panel;


typedef struct rus_adt *rus;

typedef struct {
    int		  angle;
    rus_panel     panel;
    long	  xpos, ypos, zpos;
} rus_sensor_info;



rus  rus_open(int rob);
int  rus_available(rus);

int  rus_sensor(rus, rus_panel, int direction);
rus_sensor_info *rus_sensor_information(rus, int sensor);

void rus_select(rus, int sensor);
void rus_select_sensor(rus r, rus_panel panel, int angle);
void rus_select_all(rus);
int  rus_select_count(rus);


void rus_deselect(rus, int sensor);
void rus_deselect_all(rus);

long rus_result(rus, int sensor);
void rus_read(rus);

void rus_close(rus);



#endif
