#include <stdio.h>
#include <stdlib.h>

#include "rob.h"

int main(int argc, char **argv)
{
    char *rob_name = "porthos";
    rob_args *args;
    int rob;
    char reply[ROBOREPLYLENGTH+1];

    args = rob_parse_args(argc, argv);
    if (args->rob_name) rob_name = args->rob_name;

    rob_pvm_start();
    rob = rob_init(rob_name);
    if (rob==0) {
	printf("*** error. can't connect to robot '%s'.\n", rob_name);
	return 10;
    }

    rob_command(rob, "MOTN ON", reply);
    rob_command(rob, "MOTN FO D=1000", reply);
    rob_command(rob, "MOTN WA", reply);
    rob_command(rob, "MOTN OFF", reply);

    rob_command(rob, "MOTV ON", reply);
    rob_command(rob, "MOTV LA V=800 W=800 D=3000", reply);
    rob_command(rob, "MOTV KI", reply);
    rob_command(rob, "MOTV OFF", reply);

    rob_exit(rob);
    rob_pvm_halt();

    return 0;
}
