/**************************************************************************
 *  PROJECT		: DA mobile robot simulation
 *  AUTHOR(S)           : Horst Stolz (HUS)
 *  FILE		: triangle_projection.h
 *  TYPE		: module definition
 *  Time-stamp: <95/02/13 17:03:00 stolz>
 **************************************************************************
 *  MODULE              : triangle_projection
 *
 *  FUNCTION
 *
 *  NOTE
 *
 *  HISTORY
 *  17-Aug-94   Split projection-routines from triangle module.
 *
 **************************************************************************/
#ifndef TRIANGLE_PROJECTION_H
#define TRIANGLE_PROJECTION_H

#ifndef VECTOR_H
#include "vector.h"
#endif

#ifndef BASIC_H
#include "basic.h"
#endif

#ifndef LIST_H
#include "list.h"
#endif

#ifndef TRIANGLE_H
#include "triangle.h"
#endif


extern boolean t3p_with_edge_reflexions;

/* abstract datatype projection-triangle.
 */
typedef struct t3p_adt *t3p;

t3p	t3p_new(vector3 *edges, vector3 focus);
void	t3p_free(t3p p);
void	triangle3_projection(list t3p_cut, list t3p_rest,
			     t3p t1, triangle3 t2);

/* request information of the projection-triangle.
 */
triangle3	t3p_triangle3(t3p tp);
vector3*	t3p_focus(t3p tp);

boolean		t3p_equal(t3p a, t3p b);

void		t3p_print(t3p tp);

#endif
