/**************************************************************************
 *  PROJECT		: DA mobile robot simulation
 *  AUTHOR(S)           : Horst Stolz (HUS)
 *  FILE		: us_sensor.h
 *  TYPE		: module definition
 *  Time-stamp: <95/02/13 17:03:30 stolz>
 **************************************************************************
 *  MODULE              : us_sensor
 *
 *  FUNCTION
 *	US-Sensor-related functions.
 *
 *  NOTE
 *
 *  HISTORY
 *  20-May-94   Creation date.
 *
 **************************************************************************/
#ifndef US_SENSOR_H
#define US_SENSOR_H



#ifndef VECTOR_H
#include "vector.h"
#endif

#ifndef BASIC_H
#include "basic.h"
#endif

#ifndef QUEUE_H
#include "queue.h"
#endif

#ifndef MW_OBJECT_H
#include "mw_object.h"
#endif

typedef struct {
    vector3	position;     /* sensor-position */
    vector3	direction;    /* direction of the sensor */
    vector3	end_pos;      /* measured end-pos */
    double	result;       /* measured distance */
    queue	path;	/* position-path (vector3) from signal-start to the sensor */

    double	t;            /* t corresponding to distance */
    boolean	detailed;     /* detail-flag for displaying */
    void        *world;
} us_sensor_check_point;

/* functions for managing the us-sensor-checkpoints.
 */
us_sensor_check_point *uscp_new(void *world);
void uscp_free(us_sensor_check_point *uscp);
void uscp_select(us_sensor_check_point *uscp);

/* make a geometric us-sensor-measuring
 */
void us_sensor_scan(mw_object sensor);

#endif
