/**************************************************************************
 *  PROJECT		: DA mobile robot simulation
 *  AUTHOR(S)           : Horst Stolz (HUS)
 *  FILE		: vector_geometry.h
 *  TYPE		: module definition
 *  Time-stamp: <95/02/13 17:04:09 stolz>
 **************************************************************************
 *  MODULE              : vector_geometry
 *
 *  FUNCTION
 *
 *  NOTE
 *
 *  HISTORY
 *  17-Aug-94   Split routines from triangle.c.
 *
 **************************************************************************/
#ifndef VECTOR_GEOMETRY_H
#define VECTOR_GEOMETRY_H

#ifndef VECTOR_H
#include "vector.h"
#endif

#ifndef BASIC_H
#include "basic.h"
#endif


void point2_in_basis_oab(vector2 *point_basis, vector2 point,
		vector2 basis_o, vector2 basis_a, vector2 basis_b);

boolean point2_in_triangle(vector2 point);
boolean point2_in_triangle_eps(vector2 point, double eps);

boolean line2_pierce_line2(vector2 *point, double *index1, double *index2,
			   vector2 line1_start, vector2 line1_index,
                           vector2 line2_start, vector2 line2_index);

boolean line2_in(double index);
boolean line2_at(double index);
boolean line2_in_eps(double index, double eps);
boolean line2_at_eps(double index, double eps);

void perpendicular_on_plain3(double *distance, 
			     vector3 *perp_point,
                             vector3 plain_point,
                             vector3 plain_normal,
			     vector3 point);

void perpendicular_from_line3_to_point3(double *distance, vector3 *direction,
					double *meet_index,
					vector3 point,
					vector3 line_start, vector3 line_index);


#endif
