/**************************************************************************
 *  PROJECT		: DA mobile robot simulation
 *  AUTHOR(S)           : Horst Stolz (HUS)
 *  FILE		: xdraw.h
 *  TYPE		: module definition
 *  Time-stamp: <95/02/13 17:04:43 stolz>
 **************************************************************************
 *  MODULE              : xdraw
 *
 *  FUNCTION
 *
 *  NOTE
 *
 *  HISTORY
 *  20-May-94   Creation date.
 *  06-Jun-94   Add draw2d_space(), draw_get_pick_parameters().
 *
 **************************************************************************/
#ifndef XDRAW_H
#define XDRAW_H

#include <X11/Intrinsic.h>

#ifndef MOB_WORLD_PRIVATE_H
#include "mob_world_private.h"
#endif

#ifndef APP2D_H
#include "app2d.h"
#endif

void draw2d_set(Display *mydisplay, 
		Window mywindow, 
		GC mygc, 
		int mywidth, 
		int myheight,
		double xscale,
		double yscale,
		vector2 mycenter);
enum draw2d_opt_enums {
    D2D_DRAW_NAMES
};

int draw2d_opt(int type, int value);

void draw2d(mob_world mw);

void polydraw2d(vector2 *points, int *codes, vector2 center, double angle);

void draw2d_get_pick_parameters(vector3 *start, vector3 *direction, int x, int y);

void draw2d_space(mob_world mw);

void draw2d_get_real_coord(vector3 *point, int x, int y);
int  draw2d_distance(vector3 a, vector3 b);
void draw2d_v3_norm(vector3 *x);

#endif
